Bug 1024840 - python-bugzilla: Support Python 3
python-bugzilla: Support Python 3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1024838
  Show dependency treegraph
 
Reported: 2013-10-30 09:48 EDT by Miro Hrončok
Modified: 2014-03-25 18:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-25 18:35:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-10-30 09:48:10 EDT
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

https://fedoraproject.org/wiki/Changes/Python_3_as_Default

While this package is not in minimal buildroot, it belongs to fedora-packager stack. We would like to switch to Python 3 there as well.

The goal here is, that at least for F22 you should provide python3- prefixed subpackage.

Please, help us update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add the support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, say so and we can solve the problem together.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3#fedora-packager

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)
Comment 1 Cole Robinson 2013-10-30 10:16:11 EDT
There is ongoing work to support python3 upstream, and part of that is moving from pycurl to python-requests, so dropping that depends.
Comment 2 Miro Hrončok 2013-10-30 10:27:53 EDT
If there's any upstream ticket or branch or anything, could you please add it to https://fedoraproject.org/wiki/User:Churchyard/python3#fedora-packager ? Thanks
Comment 3 Cole Robinson 2014-03-24 17:55:22 EDT
This is upstream nowadays, release coming quite soon
Comment 4 Cole Robinson 2014-03-25 18:35:10 EDT
Fixed in python-bugzilla-1.0.0-1.fc21
Comment 5 Miro Hrončok 2014-03-25 18:54:27 EDT
Thanks Cole.

Note You need to log in before you can comment on or make changes to this bug.